aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rwxr-xr-xtest/integration/docker/git_server/setup_repo.sh1
-rwxr-xr-xtest/integration/docker/test.sh1
-rwxr-xr-xtest/integration/example/test.sh1
-rwxr-xr-xtest/integration/local/test.sh1
4 files changed, 4 insertions, 0 deletions
diff --git a/test/integration/docker/git_server/setup_repo.sh b/test/integration/docker/git_server/setup_repo.sh
index 82ae711..c5bb32c 100755
--- a/test/integration/docker/git_server/setup_repo.sh
+++ b/test/integration/docker/git_server/setup_repo.sh
@@ -1,6 +1,7 @@
#!/usr/bin/env bash
set -o errexit -o nounset -o pipefail
+shopt -s inherit_errexit lastpipe
readonly local_repo_path="$HOME/test_repo"
diff --git a/test/integration/docker/test.sh b/test/integration/docker/test.sh
index 7b5b4df..e39cf84 100755
--- a/test/integration/docker/test.sh
+++ b/test/integration/docker/test.sh
@@ -1,6 +1,7 @@
#!/usr/bin/env bash
set -o errexit -o nounset -o pipefail
+shopt -s inherit_errexit lastpipe
script_dir="$( dirname -- "${BASH_SOURCE[0]}" )"
script_dir="$( cd -- "$script_dir" && pwd )"
diff --git a/test/integration/example/test.sh b/test/integration/example/test.sh
index e22cec1..9c8c053 100755
--- a/test/integration/example/test.sh
+++ b/test/integration/example/test.sh
@@ -1,6 +1,7 @@
#!/usr/bin/env bash
set -o errexit -o nounset -o pipefail
+shopt -s inherit_errexit lastpipe
script_dir="$( dirname -- "${BASH_SOURCE[0]}" )"
script_dir="$( cd -- "$script_dir" && pwd )"
diff --git a/test/integration/local/test.sh b/test/integration/local/test.sh
index 68c78ec..05de5ac 100755
--- a/test/integration/local/test.sh
+++ b/test/integration/local/test.sh
@@ -1,6 +1,7 @@
#!/usr/bin/env bash
set -o errexit -o nounset -o pipefail
+shopt -s inherit_errexit lastpipe
script_dir="$( dirname -- "${BASH_SOURCE[0]}" )"
script_dir="$( cd -- "$script_dir" && pwd )"